// $Id: image.h,v 1.6 2002/12/14 11:19:11 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#ifndef __image_h__
#define __image_h__

#include <X11/xpm.h>
#include <X11/Xlib.h>
#include <iostream>
#include "x_handler.h"

//#include "graphics.h"

class Image
{
 protected:
  Pixmap *pixmap_;
  
 public:
  Image(const char*, XHandler*);
  Image(const char*, XHandler*, unsigned *, unsigned *, Pixmap*);
  virtual ~Image();
  Pixmap* getPixmap() const;
};

#endif //__image_h__
